Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.httppubsub
Interface Client

All Known Implementing Classes:
  LocalClient

public interface Client
extends java.io.Serializable

Representation interface of a client.

Inner Class Summary
`static class` | `Client.ConnectionType` The connection type indicates the client's connection type: long-polling messages are sent to the server as the message parameter of an application/x-www-form-urlencoded encoded POST request.

Method Summary
`AuthenticatedUser` | `getAuthenticatedUser()` Get authenticated user object of this client.
`java.util.Set` | `getChannelSubscriptions()` Get all the channels currently subscribed by this client.
`java.lang.String` | `getId()` Get the ID associated with this client
`long` | `getLastAccessTime()` Get the last-accessed-time for this client
`long` | `getPublishedMessageCount()` Get the number of messages published by this client on all channels
`void` | `updateLastAccessTime()` Update last access time for this client.

Method Detail

### getId

    public java.lang.String getId()

  Get the ID associated with this client

  Returns:
    Client ID.

### getLastAccessTime

    public long getLastAccessTime()

  Get the last-accessed-time for this client

  Returns:
    Last accessed time for this client.

### getChannelSubscriptions

    public java.util.Set getChannelSubscriptions()

  Get all the channels currently subscribed by this client.

  Returns:
    a Set of all active subscriptions

### getPublishedMessageCount

    public long getPublishedMessageCount()

  Get the number of messages published by this client on all channels

  Returns:
    the count of published messages

### updateLastAccessTime

    public void updateLastAccessTime()

  Update last access time for this client.

### getAuthenticatedUser

    public AuthenticatedUser getAuthenticatedUser()

  Get authenticated user object of this client.

  Returns:
    AuthenticatedUser object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.